# $Id: mklivecd.spec.in,v 1.12 2003/10/04 10:03:28 jaco Exp $

%define name	mklivecd
%define version	0.5.9
%define release	%mkrel 0.11

%define Summary	Builds a LiveCD from an existing Mandriva Linux installation

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Boot and Init
URL:		http://livecd.berlios.de/
Source0:	%{name}-%{version}.tar.bz2
Patch1:     	mklivecd-0.5.9-hw.patch.bz2
Patch2:     	mklivecd-0.5.9-service.patch.bz2
Patch3:     	mklivecd-0.5.9-no-more-hotplug.patch.bz2
Patch4:     	mklivecd-0.5.9-quiet-umount.patch.bz2
Patch5:     	mklivecd-0.5.9-keep-menu.patch.bz2
Patch6:     	mklivecd-0.5.9-more-sata.patch.bz2
Patch7:     	mklivecd-0.5.9-quiet-mode.patch.bz2
Patch8:     	mklivecd-0.5.9-fix-xkb_n_xdm.patch.bz2
Patch9:     	mklivecd-0.5.9-splash.patch.bz2
Requires:	busybox cloop-utils mkisofs drakxtools-newt
Requires:	squashfs-tools mediacheck syslinux zisofs-tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
%{Summary}

%prep
%setup -q -n %{name}
%patch1 -p0 -b .hw
%patch2 -p0 -b .service
%patch3 -p0 -b .hotplug
# (tv) conflict with rc.sysinit:
%patch4 -p1 -b .umount
%patch5 -p0 -b .menu
%patch6 -p1 -b .more-sata
%patch7 -p0 -b .quiet
%patch8 -p0 -b .fix_xorg
%patch9 -p1 -b .splash

%build
# use 800x600 as default resolution like DrakX (some machines dislike 1024x768)
%make DEF_RESOLUTION=800x600 DEF_VGAMODE=788

%install
rm -rf %{buildroot}
# fix cdrom.ko lookup when building with kernel < 2.6.10-1mdk
perl -pi -e 's! drivers/cdrom/cdrom ! !' dist/mklivecd
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_sbindir}/hwdetect

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FAQ README* TODO
%{_sbindir}/mklivecd
%{_datadir}/mklivecd/

%changelog
* Fri Sep 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.9-0.11mdk
- requires zisofs-tools
- don't package hwdetect, harddrake is enabled at boot and does a better job
  (hwdetect just broke snd_intel8x0 for example) (blino)
- use 800x600 as default resolution like DrakX since some machines
  dislike 1024x768 (blino)
- patch 3: fix build w/o hotplug since it's no more mandatory
- patch 4: quiet umount of /proc
- patch 5: keep builded menus on live image
- patch 6:
  o handle more SATA controllers
  o add sata support for ahci/ata_piix in initrd as well (blino)
  o don't break scsi modules list with misplaced comments (blino)
  o don't try to use inexistent qlogicisp (blino)
- patch 7: let perl be quiet by default
- patch 8: don't break XKB and XDM
- patch 9: allow splash=silent and splash=verbose options
  (splash=yes didn't make much sense) (blino)

* Wed Jun 01 2005 Lenny Cartier <lenny@mandriva.com> 0.5.9-0.10mdk
- fix summary & desc (thx Zero_Dogg)

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.5.9-0.9mdk
- requires syslinux

* Tue Mar 22 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.9-0.8mdk
- rebuild

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.7mdk
- update docs

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.6mdk
- add another missing dependency; mediacheck
- update from cvs

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.5mdk
- update url
- add missing dependency on squashfs-tools

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.4mdk
- 20050208 CVS snapshot (fix shell)

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.3mdk
- 20050208 CVS snapshot (sata update, sync with udev)
- fix cdrom now build into kernel core
- rediff patch 1
- merge patch 3 into patch 1

* Fri Dec 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-0.2mdk
- fix undefined variable

* Fri Dec 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.1mdk
- CVS snapshot (mdk10.x aware)
- kill useless patch 0
- patch 1: preconfigure keyboard, i18n, user, ... so that harddrake is able to
  autoconfigure everything
- patch 2: let harddrake service work

* Thu Jun 17 2004 Michael Scherer <misc@mandrake.org> 0.5.6-5mdk
- fix Summary
 
* Tue May 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-4mdk
- patch 0: fix deps killed by latest drakxtools

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-3mdk
- rebuild for new deps

* Wed Dec 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.6-2mdk
- spec fixes
- fix unowned dir

* Mon Oct  6 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.6-1mdk
- version 0.5.6
- spec fixes by Buchan Milne <bgmilne@cae.co.za>

* Sat Sep 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.5-2mdk
- rebuild

* Thu Sep 25 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.5-1mdk
- version 0.5.5

* Wed Sep 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.4-2mdk
- spec fixes

* Tue Sep 23 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.4-1mdk
- version 0.5.4
- removed patch0, fixed upstream

* Mon Sep 22 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.3-1mdk
- initial import into contrib, based on spec file from Jaco Greeff
- fixed requires (mkisofs)
- temporary locale fix to correct calculate initrd size
- correct mdk group name
- some macroszification
